
%define rel 2
%define oname openAV-ArtyFX-release

#NB the real source URL is https://github.com/openAVproductions/openAV-ArtyFX/archive/refs/tags/release-1.3.1.tar.gz

Name:    artyfx
Version: 1.3.1
Release: %mkrel %{rel}
Summary: A LV2 plugin bundle of artistic audio effects
Group:   Sound/Midi
License: GPLv2
URL:     http://openavproductions.com/artyfx/
Source0: %{oname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  meson
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(cairo)
BuildRequires:	pkgconfig(samplerate)

BuildRequires: suil-devel

Requires: lv2
Requires: suil-x11-in-gtk2

%description
ArtyFX is a plugin bundle of artistic real-time audio effects.
The aim of this plugin collection is to allow the designing of
your sound just as you desired using a fast, efficient workflow.
From bitcrushers, delays, distortions, equalizers, compressors,
reverbs and more, there is a range of sounds available from ArtyFX

%prep
%autosetup  -n %{oname}-%{version}

%build
%meson
%meson_build

%install
%meson_install


%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/lv2
mv %{buildroot}/usr/lib/lv2/* %{buildroot}%{_libdir}/lv2/
%endif

%files
%doc README.md LICENSE
%{_libdir}/lv2/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.3.1-2.mga10
+ Revision: 2216897
- Mageia 10 Mass Rebuild

* Fri Dec 16 2022 philippedidier <philippedidier> 1.3.1-1.mga9
+ Revision: 1923781
- new version 1.3.1 - built with meson

* Tue Apr 05 2022 umeabot <umeabot> 1.3-git20200509.2.mga9
+ Revision: 1844265
- Mageia 9 Mass Rebuild

* Mon Jul 27 2020 daviddavid <daviddavid> 1.3-git20200509.1.mga8
+ Revision: 1609234
- new git snapshot: 1.3-git20200509

* Wed Feb 12 2020 umeabot <umeabot> git20171104.4.mga8-current
+ Revision: 1508920
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 1.3-git20171104.3.mga7
+ Revision: 1294583
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 wally <wally> 1.3-git20171104.2.mga7
+ Revision: 1254792
- disable NEON usage on arm

* Sun Aug 26 2018 wally <wally> 1.3-git20171104.1.mga7
+ Revision: 1254710
- fix version
- fix build on aarch64 (and on other arches too)
- disable sse on arm and aarch64

* Sun Feb 11 2018 semiletov <semiletov> git20171104-6.mga7
+ Revision: 1200451
- more arm7vhl fixes

* Sun Feb 11 2018 semiletov <semiletov> git20171104-5.mga7
+ Revision: 1200447
- arm7vhl fix

* Sun Feb 11 2018 semiletov <semiletov> git20171104-4.mga7
+ Revision: 1200440
+ rebuild (emptylog)

* Sat Feb 10 2018 semiletov <semiletov> git20171104-3.mga7
+ Revision: 1200255
+ rebuild (emptylog)

* Sat Feb 10 2018 semiletov <semiletov> git20171104-2.mga7
+ Revision: 1200245
+ rebuild (emptylog)

* Sat Feb 10 2018 semiletov <semiletov> git20171104-1.mga7
+ Revision: 1200240
- + sndfile BR has been added
- imported package artyfx

